.benefits {
    padding-bottom: 20px;

    @media screen and (min-width: $ui-breakpoint-xl-min) {
        padding-top: 100px;
        padding-bottom: 55px;
        background-color: $ui-color-benefits-bg;
    }
}

.benefits__container {

    @media screen and (min-width: $ui-breakpoint-xl-min) {
        display: grid;
        grid-template-areas: 
        "cards title"
        "cards editor";
        column-gap: 79px;
    }
}

.benefits__title {
    grid-area: title;
    font-family: Montserrat, sans-serif;
    font-size: 32px;
    line-height: 1.19;
    font-weight: 700;
    text-align: center;
    margin-bottom: 36px;
    color: $ui-color-primary;

    @media screen and (min-width: $ui-breakpoint-md-min) {
        font-size: 42px;
        line-height: 1.05;
        margin-bottom: 52px;
    }

    @media screen and (min-width: $ui-breakpoint-xl-min) {
        text-align: start;
        margin-bottom: 20px;
    }
}

.benefits__cards-wrapper {
    grid-area: cards;
    @include flex-center;
    flex-direction: column;
    gap: 37px;
    margin-bottom: 58px;

    @media screen and (min-width: $ui-breakpoint-xl-min) {
        justify-content: space-between;
        align-items: flex-end;
        gap: 33px;
        max-width: 540px;
    }
}

.benefits__card {
    @include flex-center;
    flex-direction: column;
    gap: 22px;

    @media screen and (min-width: $ui-breakpoint-md-min) {
        flex-direction: row;
        align-items: flex-start;
    }
}

.benefits__card-icon {
    @include flex-center;
    min-width: 111px;
}

.benefits__card-content {
    @include flex-center;
    flex-direction: column;
    gap: 14px;

    @media screen and (min-width: $ui-breakpoint-md-min) {
        justify-content: flex-start;
        align-items: flex-start;
    }
}

.benefits__card-title {
    font-family: Montserrat, sans-serif;
    font-size: 16px;
    line-height: 1;
    color: $ui-color-dark-text;

    @media screen and (min-width: $ui-breakpoint-md-min) {
        line-height: 1.31;
    }
}

.benefits__card-text {
    font-family: Lato, sans-serif;
    font-size: 14px;
    line-height: 1.5;
    text-align: center;
    color: $ui-color-secondary;

    @media screen and (min-width: $ui-breakpoint-md-min) {
        text-align: start;
    }
}

.benefits__image-container {
    grid-area: editor;
    @include flex-center;
    
    & img {
        max-width: 100%;
        object-fit: contain;

        @media screen and (min-width: $ui-breakpoint-xl-min) {
            height: 519px;
        }
    }
}